<!-- MultiInput.vue -->
<template>
  <div>
    <div>
      <input
          v-for="(value, index) in values"
          :key="index"
          v-model="values[index]"
          @keydown.enter.prevent="addValue"
          placeholder="Type something and press Enter"
          class="input"
      />
    </div>
    <button @click="addValue" class="button">Add</button>
    <div v-if="values.length > 0" class="values-list">
      <div v-for="(value, index) in values" :key="index" class="value-item">
        {{ value }}
        <button @click="removeValue(index)" class="remove-button">Remove</button>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { ref } from 'vue';

const values = ref<string[]>([]);

function addValue(event: Event) {
  const input = event.target as HTMLInputElement;
  if (input.value.trim() !== '') {
    values.value.push(input.value.trim());
    input.value = '';
  }
}

function removeValue(index: number) {
  values.value.splice(index, 1);
}
</script>

<style scoped>
.input-group {
  display: flex;
  flex-direction: column;
}
.input {
  margin-bottom: 10px;
}
.values-list {
  margin-top: 20px;
}
.value-item {
  display: flex;
  align-items: center;
  margin-bottom: 5px;
}
.remove-button {
  margin-left: 10px;
}
</style>
